SentenceDetectorFactory (Apache OpenNLP :: Core :: Runtime 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.sentdetect, class: SentenceDetectorFactory

Package opennlp.tools.sentdetect

# Class SentenceDetectorFactory

java.lang.Object
opennlp.tools.util.BaseToolFactory
opennlp.tools.sentdetect.SentenceDetectorFactory

public class SentenceDetectorFactory extends BaseToolFactory
The factory that provides `SentenceDetector` default implementations and resources

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SentenceDetectorFactory()`
  Creates a `SentenceDetectorFactory` that provides the default implementation of the resources.
  `SentenceDetectorFactory(String languageCode, boolean useTokenEnd, Dictionary abbreviationDictionary, char[] eosCharacters)`
  Creates a `SentenceDetectorFactory`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SentenceDetectorFactory`
  `create(String subclassName, String languageCode, boolean useTokenEnd, Dictionary abbrDictionary, char[] eosChars)`
  Instantiates a `SentenceDetectorFactory` via a given `subclassName`.
  `Map<String,Object>`
  `createArtifactMap()`
  A model's implementation should call this constructor that creates a model programmatically.
  `Map<String,String>`
  `createManifestEntries()`
  `Dictionary`
  `getAbbreviationDictionary()`
  `opennlp.tools.sentdetect.EndOfSentenceScanner`
  `getEndOfSentenceScanner()`
  `char[]`
  `getEOSCharacters()`
  `String`
  `getLanguageCode()`
  `opennlp.tools.sentdetect.SDContextGenerator`
  `getSDContextGenerator()`
  `boolean`
  `isUseTokenEnd()`
  `void`
  `validateArtifactMap()`
  Validates the parsed artifacts.

  ### Methods inherited from class opennlp.tools.util.BaseToolFactory

  `create, create, createArtifactSerializersMap`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SentenceDetectorFactory

    public SentenceDetectorFactory()
    Creates a `SentenceDetectorFactory` that provides the default implementation of the resources.

  - ### SentenceDetectorFactory

    public SentenceDetectorFactory(String languageCode, boolean useTokenEnd, Dictionary abbreviationDictionary, char[] eosCharacters)
    Creates a `SentenceDetectorFactory`. Use this constructor to programmatically create a factory.
    Parameters:
      `languageCode` - The ISO language code to be used for this factory.
      `useTokenEnd` - `true` if `TOKEN_END_PROPERTY` shall be used, `false` otherwise.
      `abbreviationDictionary` - The `Dictionary` which holds abbreviations.
      `eosCharacters` - The characters to be used to detect sentence endings.

- ## Method Details

  - ### validateArtifactMap

    public void validateArtifactMap() throws opennlp.tools.util.InvalidFormatException
    Description copied from class: `BaseToolFactory`
    Validates the parsed artifacts.

    Note: Subclasses should generally invoke `super.validateArtifactMap` at the beginning of this method.

    Specified by:
      `validateArtifactMap` in class `BaseToolFactory`
    Throws:
      `opennlp.tools.util.InvalidFormatException` - Thrown if validation found invalid states.

  - ### createArtifactMap

    public Map<String,Object> createArtifactMap()
    Description copied from class: `BaseToolFactory`
    A model's implementation should call this constructor that creates a model programmatically.

    The base implementation will return a `HashMap` that should be populated by subclasses.

    Overrides:
      `createArtifactMap` in class `BaseToolFactory`
    Returns:
      Retrieves a `Map` with pairs of keys and objects.

  - ### createManifestEntries

    public Map<String,String> createManifestEntries()
    Overrides:
      `createManifestEntries` in class `BaseToolFactory`
    Returns:
      Retrieves the manifest entries to be added to the model manifest.

  - ### create

    public static SentenceDetectorFactory create(String subclassName, String languageCode, boolean useTokenEnd, Dictionary abbrDictionary, char[] eosChars) throws opennlp.tools.util.InvalidFormatException
    Instantiates a `SentenceDetectorFactory` via a given `subclassName`.
    Parameters:
      `subclassName` - The class name used for instantiation. If `null`, an instance of `SentenceDetectorFactory` will be returned per default. Otherwise, the `ExtensionLoader` mechanism is applied to load the requested `subclassName`.
      `languageCode` - The ISO language code to be used. Must not be `null`.
      `useTokenEnd` - `true` if `TOKEN_END_PROPERTY` shall be set, `false` otherwise.
      `abbrDictionary` - The `Dictionary` of abbreviations if available; may be `null`.
      `eosChars` - An array of characters representing end of sentence symbols / characters.
    Returns:
      A valid `SentenceDetectorFactory` instance.
    Throws:
      `opennlp.tools.util.InvalidFormatException` - Thrown if the `ExtensionLoader` mechanism failed to create the factory associated with `subclassName`.

  - ### getEOSCharacters

    public char[] getEOSCharacters()

  - ### isUseTokenEnd

    public boolean isUseTokenEnd()

  - ### getAbbreviationDictionary

    public Dictionary getAbbreviationDictionary()
    Returns:
      An abbreviation `Dictionary` or `null` if unset.

  - ### getLanguageCode

    public String getLanguageCode()

  - ### getEndOfSentenceScanner

    public opennlp.tools.sentdetect.EndOfSentenceScanner getEndOfSentenceScanner()
    Returns:
      An `EndOfSentenceScanner` instance, guaranteed to be not `null`.

  - ### getSDContextGenerator

    public opennlp.tools.sentdetect.SDContextGenerator getSDContextGenerator()
    Returns:
      A `SDContextGenerator` instance, guaranteed to be not `null`.